Package ghidra.app.services

# Interface HoverService

All Known Subinterfaces:
  `DecompilerHoverService`

All Known Implementing Classes:
  `ghidra.app.plugin.core.hover.AbstractConfigurableHover`, `ghidra.app.plugin.core.hover.AbstractHover`, `ghidra.app.plugin.core.hover.AbstractReferenceHover`, `ghidra.app.plugin.core.hover.AbstractScalarOperandHover`, `DataTypeDecompilerHover`, `FunctionSignatureDecompilerHover`, `ReferenceDecompilerHover`, `ScalarValueDecompilerHover`

public interface HoverService
`HoverService` provides the ability to popup data Windows over a Field viewer in response to the mouse hovering over a single Field.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `componentHidden()`
  Provides notification when this hover component is popped-down
  `void`
  `componentShown()`
  Provides notification when this hover component is popped-up
  `JComponent`
  `getHoverComponent(Program program, ProgramLocation programLocation, FieldLocation fieldLocation, Field field)`
  Returns a component to be shown in a popup window that is relevant to the given parameters.
  `int`
  `getPriority()`
  Returns the priority of this hover service.
  `boolean`
  `hoverModeSelected()`
  Return whether hover mode is "on"
  `void`
  `scroll(int amount)`
  If this service's window supports scrolling, scroll by the specified amount.

- ## Method Details

  - ### getPriority

    int getPriority()
    Returns the priority of this hover service. A lower priority is more important.
    Returns:
      the priority

  - ### scroll

    void scroll(int amount)
    If this service's window supports scrolling, scroll by the specified amount.
    Parameters:
      `amount` - the amount to scroll

  - ### hoverModeSelected

    boolean hoverModeSelected()
    Return whether hover mode is "on"
    Returns:
      the priority

  - ### getHoverComponent

    JComponent getHoverComponent(Program program, ProgramLocation programLocation, FieldLocation fieldLocation, Field field)
    Returns a component to be shown in a popup window that is relevant to the given parameters. Null is returned if there is no appropriate information to display.
    Parameters:
      `program` - the program that is being hovered over.
      `programLocation` - the program location where the mouse is hovering.
      `fieldLocation` - the precise mouse location within the field viewer
      `field` - the field over which the mouse is hovering
    Returns:
      The component to be shown for the given location information.

  - ### componentHidden

    void componentHidden()
    Provides notification when this hover component is popped-down

  - ### componentShown

    void componentShown()
    Provides notification when this hover component is popped-up